io.undertow.util

## Class ImmediateConduitFactory<T extends org.xnio.conduits.Conduit>

- java.lang.Object
- - io.undertow.util.ImmediateConduitFactory<T>

All Implemented Interfaces:
  ConduitFactory<T>

    public class ImmediateConduitFactory<T extends org.xnio.conduits.Conduit>
    extends Object
    implements ConduitFactory<T>

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ImmediateConduitFactory(T value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `create()` Create the channel instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImmediateConduitFactory

    public ImmediateConduitFactory(T value)

### Method Detail

#### create

    public T create()

Description copied from interface: `ConduitFactory`
Create the channel instance.

Specified by:
  `create` in interface `ConduitFactory<T extends org.xnio.conduits.Conduit>`
Returns:
  the channel instance